|  | Home | Documentation | ISAPI_SoapServerFactory.cpp File Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Typedefs | Functions
ISAPI_SoapServerFactory.cpp File Reference
`#include <cassert>`
`#include <cstring>`
`#include <map>`
`#include <string>`
`#include "ISAPI_SoapServerFactory.h"`
`#include "casecmpless.h"`
Include dependency graph for ISAPI_SoapServerFactory.cpp:

## Classes
class | CriticalSectionLock
class | DllMap

## Typedefs
typedef map< string, SoapDll, casecmpless > | MapString2Dll

## Functions
static isapi_gsoap_server_fn | GetFunction (HMODULE hDll, const char *pszFunctionName, string &strErrorMessage, const char *pszPath)

## Typedef Documentation

typedef map<string, SoapDll, casecmpless> MapString2Dll

a map of dll names to the dll handles

## Function Documentation

static isapi_gsoap_server_fn GetFunction | ( | HMODULE | hDll,
|  | const char * | pszFunctionName,
|  | string & | strErrorMessage,
|  | const char * | pszPath
| ) |  |
| static